<?php

/**
* Plugin Name: Prospek | Strings Sanitizer
* Version: 1.0b1
* Author: Prospek
* Author URI: http://prospek.ca/
* Description: Aggressively sanitizes titles for clean, SEO friendly post slugs, and media filenames during upload. Works by converting common accentuated UTF-8 characters, as well as a few special cyrillic, hebrew, spanish and german characters.
*
* Copyright 2012 Prospek <wordpress@prospek.ca>
*
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License, version 2, as
* published by the Free Software Foundation.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

// define some usefull constants
if (!defined('DS')) define('DS', DIRECTORY_SEPARATOR);
if (!defined('PROSPEK_MAIN_MENU_POSITION')) define('PROSPEK_MAIN_MENU_POSITION', 1000);

if (!class_exists('Prospek_Strings_Sanitizer')) {

    // load plugin core
    require 'core.php';

    // instantiate
    new Prospek_Strings_Sanitizer(
        realpath(dirname(__FILE__))
    );

    // register basic hooks
    register_activation_hook(__FILE__, array('Prospek_Strings_Sanitizer', 'activate'));
    register_deactivation_hook(__FILE__, array('Prospek_Strings_Sanitizer', 'deactivate'));

}